<mat-sidenav-container class="example-container-side">
    <mat-sidenav #sidenav mode="side" class="cusWidth">
      <mat-toolbar> <section  class="mat-h2" style="padding-left: 20px"> <b>{{datas}}</b></section></mat-toolbar>
      <div class="pad-tb-2">
        <mat-accordion>
          <mat-expansion-panel *ngFor="let itm of TCID" (click)="filterCus(itm)">
            <mat-expansion-panel-header>
              <mat-panel-title>
               {{itm.name}}
              </mat-panel-title>
            </mat-expansion-panel-header>
            <div *ngFor="let filt of filterData ; let i = index"  >
            <mat-divider  *ngIf="i != 0" ></mat-divider>
              <mat-list dense>
                <mat-list-item role="listitem" ><section  class="mat-h4"><b>Keyword</b>:{{filt.arr.Keyword}}</section></mat-list-item>
                <mat-list-item role="listitem"><section  class="mat-h4"><b>Object</b>:{{filt.arr.Object}}</section></mat-list-item>
                <mat-list-item role="listitem"><section  class="mat-h4"><b>Data</b>:{{filt.arr.Data}}</section></mat-list-item>
              </mat-list> 
            </div>
          </mat-expansion-panel>
        </mat-accordion>
      </div>
      <div class="btns" style="padding: 1em 0">
        <button mat-stroked-button color="primary" (click)="sidenav.toggle()" style="width: 100% ;">closeDetails</button>
      </div>
    </mat-sidenav>
  
    <mat-sidenav-content>
      <div class="btns">
        <button *ngIf="keyWordSheetData.length > 0" mat-raised-button color="primary" (click)="sidenav.toggle()">View Filled Details</button>
        <!-- <button mat-raised-button color="primary" (click) ="postFUnc()" style="float: right;">create</button> -->
      </div>
      <mat-horizontal-stepper linear #stepper>
        <mat-step [stepControl]="firstFormGroup">
          <form autocomplete = "off"   [formGroup]="firstFormGroup">
            <ng-template matStepLabel>Fill out TestSuite details </ng-template>
            <div class="example-container marg-top">TestSuite</div>
            <div class="example-container marg-top">
              <mat-form-field>
                <input matInput placeholder="TestSuite" ngDefaultControl formControlName="TestSuite" ngDefaultControl>
              </mat-form-field>
              <mat-form-field>
                <input matInput placeholder="Iteration" formControlName="Iteration" [(ngModel)]="Iteration">
              </mat-form-field>
              <mat-form-field>
                <mat-select placeholder="Runmode" formControlName="Runmode">
                  <mat-option *ngFor="let Runmode of Runmodes" [value]="Runmode.value">
                    {{Runmode.viewValue}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field class="example-chip-list">
                <mat-chip-list #chipList formControlName="TCID">
                  <mat-chip *ngFor="let fruit of TCID" [selectable]="selectable" [removable]="removable" (removed)="remove(fruit)">
                    {{fruit.name}}
                    <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                  </mat-chip>
                  <input placeholder="New TestCase IDs.." [matChipInputFor]="chipList" [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                    [matChipInputAddOnBlur]="addOnBlur" (matChipInputTokenEnd)="add($event)">
                </mat-chip-list>
              </mat-form-field>
  
              <div class="buton" fxLayoutAlign="center">
                <button mat-raised-button  color="primary" (click)="resetData(1)" style="margin-right: 40px">Reset </button>
                <button mat-raised-button  color="primary"  (click)="submitData(1)" style="margin-right: 40px">Submit </button>
              </div>
              <div>
                <button mat-button matStepperNext style="margin-left: 800px">Next</button>
              </div>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="secondFormGroup" [optional]="isOptional">
          <form autocomplete = "off"   [formGroup]="secondFormGroup">
            <ng-template matStepLabel>Fill out TestCase Details</ng-template>
  
            <div class="example-container marg-top">TestCase Details</div>
  
            <div class="example-container marg-top">
              <mat-form-field>
                <mat-select placeholder="TestCaseID" formControlName="TCID">
                  <mat-option *ngFor="let Tcid of TCID" [value]="Tcid.name">
                    {{Tcid.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
  
              <mat-form-field>
                <input matInput placeholder="Description" ngDefaultControl formControlName="Description" ngDefaultControl>
              </mat-form-field>
              <mat-form-field>
                <mat-select placeholder="Keyword" formControlName="Keyword">
                  <mat-option *ngFor="let Keyword of Keywords" [value]="Keyword.value">
                    {{Keyword.viewValue}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field>
                <input matInput placeholder="Object" ngDefaultControl formControlName="Object" ngDefaultControl>
              </mat-form-field>
              <mat-form-field>
                <input matInput placeholder="Object Type" ngDefaultControl formControlName="ObjectType" ngDefaultControl>
              </mat-form-field>
              <mat-form-field>
                <input matInput placeholder="Data" ngDefaultControl formControlName="Data" ngDefaultControl>
              </mat-form-field>
  
              <div class="buton" fxLayoutAlign="center">
                <button mat-raised-button  color="primary" (click)="resetData(2)" style="margin-right: 40px">Reset </button>
                <button mat-raised-button  color="primary"  (click)="submitData(2)" style="margin-right: 40px">Submit </button>
              </div>
            </div>
            <div>
              <button mat-button matStepperPrevious>Back</button>
              <button mat-button matStepperNext class="buttonrig">Next</button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="thirdFormGroup" [optional]="isOptional">
          <form autocomplete = "off"   [formGroup]="thirdFormGroup">
            <ng-template matStepLabel>Fill out Datas</ng-template>
  
            <div class="example-container marg-top">Data Sheet</div>
  
            <div class="example-container marg-top">
              <mat-form-field>
                <mat-select placeholder="TestCaseID" formControlName="TCID" (ngModelChange)="filterForm()">
                  <mat-option *ngFor="let Tcid of TCID" [value]="Tcid.name">
                    {{Tcid.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
          </form>
          <form autocomplete = "off"   [formGroup]="dynamicForm" *ngIf="dynamicFormArr.length > 0">
            <div class="example-container marg-top">
              <mat-form-field *ngFor="let feild of dynamicFormArr">
                <input matInput [placeholder]="feild.arr.Data" ngDefaultControl [formControlName]="feild.arr.Data" ngDefaultControl>
              </mat-form-field>
              <div class="buton" fxLayoutAlign="center">
                <button mat-raised-button  color="primary"  (click)="submitData(3)" style="margin-right: 40px">Submit </button>
              </div>
            </div>
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button matStepperNext class="buttonrig">Next</button>
          </form>
        </mat-step>
        <mat-step>
          <ng-template matStepLabel>Done</ng-template>
          <div class="example-container marg-top">You are Done</div>
          <div class="example-container1">
            <button mat-button matStepperPrevious>Back</button>
            <button mat-raised-button  color="primary"  (click)="postFUnc()">Generate as XLsheet </button>
            <button mat-button (click)="stepper.reset()">Reset</button>
          </div>
        </mat-step>
      </mat-horizontal-stepper>
  
    </mat-sidenav-content>
  </mat-sidenav-container>